use ExtUtils::MakeMaker;
#
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
#

my %opts = (
    'NAME'	=> 'maxcpu',
    'VERSION_FROM' => 'scripts/maxcpu', # finds $VERSION
    'EXE_FILES' => [ qw( scripts/maxcpu ) ], # scripts to install
# Uncomment and edit the following line to include required modules
   'PREREQ_PM' => { 'POSIX' => 0,
                    'Getopt::Long' => 0,
                    'Inline' => 0,
                  },
   'PREREQ_FATAL' => 1,
);

if ($ExtUtils::MakeMaker::VERSION >= 5.43) {
    $opts{AUTHOR}   = 'Kees Cook';
#    $opts{ABSTRACT_FROM} = 'scripts/maxcpu';
}

WriteMakefile( %opts )

# Example postamble routine to cp config to /etc

#sub MY::postamble {
#    my $text = '';

#    my $etcdir = File::Spec->catdir( File::Spec->rootdir(), 'etc');

#    $text .= sprintf qq{install :: maxcpu.conf\
#\	\${CP} %s %s},
#        'maxcpu.conf',
#    File::Spec->catfile('', $etcdir, 'maxcpu.conf');

#}

